Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IPortletContext

    public interface IPortletContext

Interface to manage context (handle and state) of remote portlets.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getPortletHandle()` Returns portlet handle.
`byte[]` | `getPortletState()` Returns optional portlet state
`void` | `setPortletHandle(String portletHandle)` Sets portlet handle.
`void` | `setPortletState(byte[] portletState)` Sets portlet state.

Method Detail

### getPortletHandle

    String getPortletHandle()

  Returns portlet handle.

### getPortletState

    byte[] getPortletState()

  Returns optional portlet state

  Returns
    the portlet state

### setPortletHandle

    void setPortletHandle(String portletHandle)

  Sets portlet handle. Calling this method does not automatically change the handle of the portlet, unless this object is passed onto a setter that accepts IPortletContext.

### setPortletState

    void setPortletState(byte[] portletState)

  Sets portlet state. Calling this method does not automatically change the handle of the portlet, unless this object is passed onto a setter that accepts IPortletContext.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.